summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
Diffstat (limited to 'check')
-rwxr-xr-xcheck8
1 files changed, 8 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..819058f
--- /dev/null
+++ b/check
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -eu
+
+python -m CoverageTestRunner --ignore-missing-from=without-tests
+rm -f .coverage
+pep8 ttystatus
+PYTHONPATH=. pylint --rcfile=pylint.conf ttystatus